oracle.pgx.api.admin

## Interface SessionInfo

-     public interface SessionInfo

  Information about a session

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlive()` Gets the number of seconds this session is alive.
    `List<String>` | `getPrivateGraphs()` Gets the private graphs.
    `long` | `getPrivateMemoryUsage()` Gets the private memory usage.
    `String` | `getSessionId()` Gets the session id.
    `List<String>` | `getSharedGraphs()` Gets the shared graphs.
    `long` | `getSharedMemoryUsage()` Gets the shared memory usage.
    `int` | `getTotalAnalysisTime()` Gets the total analysis time.

- - ### Method Detail

    - #### getAlive

          int getAlive()

      Gets the number of seconds this session is alive.
      Returns:
        number of seconds which passed since this session was created

    - #### getPrivateGraphs

          List<String> getPrivateGraphs()

      Gets the private graphs.
      Returns:
        a collection of graph names this session is sharing

    - #### getPrivateMemoryUsage

          long getPrivateMemoryUsage()

      Gets the private memory usage.
      Returns:
        an estimation of memory usage this session's private data occupies (in byte)

    - #### getSessionId

          String getSessionId()

      Gets the session id.
      Returns:
        the session id

    - #### getSharedGraphs

          List<String> getSharedGraphs()

      Gets the shared graphs.
      Returns:
        a collection of graph names this session is sharing

    - #### getSharedMemoryUsage

          long getSharedMemoryUsage()

      Gets the shared memory usage.
      Returns:
        an estimation of memory usage this session's shared data occupies (in byte)

    - #### getTotalAnalysisTime

          int getTotalAnalysisTime()

      Gets the total analysis time.
      Returns:
        an estimation how many seconds of analysis time this session consumed

Copyright © 2015. All rights reserved.